
Tripnet - Client Comments #19011
auto cancel booking 
04/11/2017 05:25 pm - Sreerag Prasannan

Status: Closed Start date: 07/05/2018
Priority: Normal Due date: 07/09/2018
Assignee: % Done: 100%
Category: Functionality Estimated time: 0.00 hour
Target version: Spent time: 12.50 hours
End_Date: 05/16/2017 Areas Affected:
remarks: Files Changed:
DB Changes: Initial Planned Hours:
Keys & Permissions:
Description

implement scheduler for auto cancel based on cancellation deadline.

Please assign to libi as already implemented.

Subtasks:
Bug # 42779: Hotel|Auto cancel Closed

History
#1 - 04/21/2017 11:21 am - Jubin J
- Due date set to 04/21/2017
- Status changed from New to Assigned
- Assignee set to Binsu M Peter
- Start date changed from 04/11/2017 to 04/21/2017

#2 - 04/21/2017 11:25 am - Binsu M Peter
- Status changed from Assigned to In Progress

#3 - 04/21/2017 11:36 am - Sreerag Prasannan

please hold the bug, will confirm with client, as a related bug exist #18331

#4 - 04/21/2017 11:39 am - Binsu M Peter
- Status changed from In Progress to On hold

#5 - 05/16/2017 10:10 am - Jubin J
- Due date changed from 04/21/2017 to 05/16/2017
- Status changed from On hold to Assigned
- Assignee changed from Binsu M Peter to Jibi T
- Start date changed from 04/21/2017 to 05/16/2017

#6 - 05/16/2017 11:34 am - Sreerag Prasannan

Please do this on emtaz, 3otolat, tripnet and corporate only.

#7 - 05/16/2017 03:53 pm - Jibi T
- Status changed from Assigned to Fixed not Tested
- % Done changed from 0 to 100
- End_Date set to 05/16/2017

Handler : ManageInvoiceBooking.ashx

For Invoiced Bookings, 
Cancellation date is greater than the Current Date + 3 and the Current date date is less than or equal to Cancellation date

#8 - 06/02/2017 03:50 pm - Sreerag Prasannan

client requirement is to cancel the confirmed ( invoiced ) booking based on the booking release date. example if the booking release date is today , i
can cancel the booking till today midnight for free cancellation. 
Booking release date is existing in transaction queue report. Please fix. Automatically scheduler should run and cancel before this day expires.

#9 - 06/02/2017 03:54 pm - Sreerag Prasannan
- File booking release date.png added

#10 - 06/22/2017 09:05 am - Jubin J
- Due date changed from 05/16/2017 to 06/22/2017
- Start date changed from 05/16/2017 to 06/22/2017

#11 - 06/22/2017 09:22 am - Jibi T
- Status changed from Fixed not Tested to In Progress

#12 - 06/22/2017 04:38 pm - Jibi T
- Status changed from In Progress to Fixed not Tested

#13 - 06/23/2017 07:33 am - Jibi T

New SP SelectBookingstobeCancelledWithReleaseDate
Make sure that IsTripnet Key is true in web config

#14 - 06/30/2017 08:21 am - Albin Paul
- Status changed from Fixed not Tested to Not Fixed

#15 - 07/03/2017 04:11 pm - Jibi T
- Status changed from Not Fixed to Fixed not Tested

Change in sp SelectBookingstobeCancelledWithReleaseDate

#16 - 07/21/2017 12:14 pm - Sreerag Prasannan
- Status changed from Fixed not Tested to Closed
- Assignee deleted (Jibi T)

live delivered
booking release date.png 128 KB 06/02/2017 Sreerag Prasannan
